spring:
  profiles:
    include: rabbitMQ
  # JDBC
  datasource:
    url: jdbc:mysql://formalldb.cfqyqflkdlit.rds.cn-northwest-1.amazonaws.com.cn:3306/mallinkTest?serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=UTF-8&useSSL=false&useAffectedRows=true
    username: ENC(Uc0AjgkytxHHCwZrmDASWg==)
    password: ENC(nV4Mi3bEbBx0Fj7uUyYH55eTaqsFMjKvmNzagicH4pc=)
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    filters: stat
    maxActive: 20
    initialSize: 1
    maxWait: 60000
    minIdle: 1
    timeBetweenEvictionRunsMillis: 28000
    minEvictableIdleTimeMillis: 28000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20
    connectionProperties: "druid.stat.mergeSql=true;druid.stat.slowSqlMillis=6000"
  # REDIS
  redis:
    host: 127.0.0.1
    port: 6379
    password: ENC(QFwqv3NshvvGhFPiP8rwhvbnxk+rFSqhJi8Pw6TogSg=)
    timeout: 3600
    expire: 1800 #30分钟
    database: 3
    defaultExpiration: 2592000 # 默认生命周期30天
    jedis:
      pool:
        max-active: 8
        max-idle: 8
        max-wait: -1
        min-idle: 0
  # EMAIL
  mail:
    host: smtp.exmail.qq.com
    username: ENC(HFbRXtAFVxU36Hk0yT3reyvRuLrw3RhMlbxFj9Ev/VY=)
    password: ENC(pk4+/3C5n2hMYmgi+VTqI4P1m77DllW8y4KElMXXmIo=)  # 授权密码
    properties:
      mail:
        smtp:
          auth: true
          starttls:
            enable: true
  # RABBITMQ
  rabbitmq:
    host: 127.0.0.1
    port: 5672
    username: ENC(aSRr6mnSryEqzHHz1hJf1g==)
    password: ENC(GnjF/mdqKdvmDYC0tIIso7+20/jBALPw39tiWCYJ4iw=)
    publisher-confirms: true
    virtual-host: /

aws:
  clientRegion: cn-northwest-1
  bucketName: iformall-net
  access: ENC(NCLcmjwKpAWdn/abD17OKIY7yKepVLWzEpqRYUlURCw=)
  secret: ENC(TRcZqql0Rq5PExlMeH/4WiZ/i02b8FXKmLTBChJmbluTa1uoLS9LrHyNEMrqe1DK+QgOAdvqGBo=)

wechat:
  open:
    componentAppId:  ENC(hnH31XdNzArfMfikKgBFpqQuJUl6rVOPFFcAVyb595o=)
    componentSecret: ENC(t/GUVX5L+U7LCwSvZ5WmxAnmTMrc/Uy1nljsrokuzzsBL2j6BEVnrS/n7DCdGc/G)
    componentToken:  ENC(gUF1m0YgCCI2IY54fX6sGLZVlCswA8tG)
    componentAesKey: ENC(TYHcrIkICtfrCfGq4HW6s1b/pHf7OD2uyPN11SzJNB0acqJ/4JVX1nuljo/cAtgMG4O05TImLQc=)
  redis:
    host: 127.0.0.1
    port: 6379
    password: ENC(QFwqv3NshvvGhFPiP8rwhvbnxk+rFSqhJi8Pw6TogSg=)
    timeout: 3600
    expire: 1800 #30分钟
    database: 2
    defaultExpiration: 2592000 # 默认生命周期30天
    jedis:
      pool:
        max-active: 100
        max-idle: 100
        max-wait: -1
        min-idle: 10

fm:
  exception: true
  deploy: 2
  open: true

logging:
  level:
    tk.mybatis: debug
    com.iformall: debug
  path: ./logs/w